#YAMLINA description file for Space Invaders
#Definitions file
player: #player is a special keyword here
  movement: xaxis_only
  controls: space_invaders
  screen_edgepolicy: block

block:
  size: large
  movement: static
  
alien:
  movement: xaxis_only
  #TODO: AI Behaviour archetypes
  controller: patrol_lr #patrols at fixed speed until it reaches an obstruction?
  screen_edgepolicy: block
  
bullet:
  size: small
  movement: fixedvelocity
  init_velocity: [0,-15]
  screen_edgepolicy: kill
  
alien_bullet:
  size: small
  movement: fixedvelocity
  init_velocity: [0,10]
  screen_edgepolicy: kill
